.block-product-title {
  flex-shrink: 0;
  padding-inline-end: 4px;
  color: rgb(var(--color-text));
  background-color: var(--background-color);
}

.block-product-title span {
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: var(--max-row);
  -webkit-box-orient: vertical;
}

body[data-page-type="collection"] 
.main-collection__list .block-product-title>span,
body[data-page-type="search"] 
.main-search__results .block-product-title>span {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    word-break: break-word;
}

@media screen and (min-width: 960px) {

    body[data-page-type="collection"] 
    .main-collection__list .block-product-title>span,
    body[data-page-type="search"] 
    .main-search__results .block-product-title>span {
        line-height: 1.5;
        min-height: 3em;
    }
}

@media screen and (max-width: 959px) {

    body[data-page-type="collection"] 
    .main-collection__list .block-product-title,
    body[data-page-type="search"] 
    .main-search__results .block-product-title {
        width: 100%;
        text-align: left !important;
    }

    body[data-page-type="collection"] 
    .main-collection__list .block-product-title>span,
    body[data-page-type="search"] 
    .main-search__results .block-product-title>span {
        text-align: left;
    }
}